|**	 double	ldexp(number, exp)
|	     double number
|	  -- returns number * 2^exp
|
| I000 --- cleared direction flag
| I001 --- fixed stack offsets



	.globl	_ldexp

	.text
_ldexp:
	push	bp
	mov	bp,sp
	push	di
	push	si
	lea	si,6(bp)	| I001
	lea	di,fac
	cld			| I000
	movs
	movs
	movs
	movs
	mov	ax,6+fac	| ax = exponent	of number 
	and	ax,#/fff0	| test for zero exponent and sign
	je	ldexp3		| if number is 0, just return it
	mov	cx,*4.
	sar	ax,cl		| position exponent to add
	mov	bx,14.(bp)	| bx = exp  I001
	add	ax,bx
	sal	ax,cl		| reposition exponent
	and	fac+6,*/f	| clear old exponent
	or	fac+6,ax	| store new exponent

ldexp3:	lea	ax,fac		| return result	in fac
	calli	cret

	.end
