| double modf (val, p)
| double val, *p;
| returns fractional part of val
| stashes integral part through p
|
| change history:
| I000	plb
|	pointer p was being accessed incorrectly on stack
|	fix now allows printf to work with floating point

.comm	fac,8
.comm	tmpfac,2
.text
.globl	_modf
_modf:
	push	bp
	mov	bp,sp
	push	di
	push	si
| val=6.
| p=14.		I000 p was 12 but thats wrong

	fldd	6(bp)		| get number onto stack  I001
	fldd	6(bp)		| get number on stack again  I001
	fstcw	tmpfac		| get control word
	fwait
	or	tmpfac,#/c00	| changing rounding to truncate
	fldcw	tmpfac
	frndint			| round to integer
	and	tmpfac,#/f3ff	| changing rounding back to nearest
	fldcw	tmpfac
	mov	di,14(bp)	| p     I000 fixed microsoft bug
	fstd	(di)		| *p = integer part
	fsub			| subtract to get fraction
	fabs			| return positive fraction
	fstdp	fac		| return fraction in fac
	lea	ax,fac		| return pointer to fraction in ax
	jmpi	cret
